Browser upgrade needed

In order to use DDR Calc, one of the following minimum browser/OS versions is required:

  • iOS version 10.3
  • Android System WebView 76
  • Chrome for Android 71
  • Firefox for Android 68
  • Samsung Internet 9.2
191 × 3
573